# Class InvalidAddressError

This error indicates that an invalid address was passed to one of the contract instance encoder spawners ([[forContractInstance]], etc). Valid addresses are those that Web3 accepts; i.e., either those with correct checksums, or those that are all-lowercase or all-uppercase to deliberately circumvent the checksum.

#### Hierarchy

- Error
  - InvalidAddressError

- Defined in encoder/lib/errors.ts:52

#####
Index

### Constructors

constructor

### Properties

address

## Constructors

### constructor

- new InvalidAddressError(address): InvalidAddressError

- #### Parameters

  - ##### address: string

  #### Returns InvalidAddressError

  Overrides Error.constructor

  - Defined in encoder/lib/errors.ts:54

## Properties

### address

address: string

- Defined in encoder/lib/errors.ts:53

Generated using TypeDoc